# Interface RuntimeInvisibleAnnotationsAttribute

All Superinterfaces:
  `Attribute<RuntimeInvisibleAnnotationsAttribute>, ClassElement, ClassFileElement, FieldElement, MethodElement`

public sealed interface RuntimeInvisibleAnnotationsAttribute extends Attribute<RuntimeInvisibleAnnotationsAttribute>, ClassElement, MethodElement, FieldElement
Models the `RuntimeInvisibleAnnotations` attribute (JVMS 4.7.17), which stores declaration annotations on this structure that are visible to `class` file consumers but are not visible to core reflection.

This attribute appears on classes, fields, methods, and record components, and does not permit multiple instances in one structure. It has a data dependency on the constant pool.

The attribute was introduced in the Java SE Platform version 5.0, major version 49.

See Java Virtual Machine Specification:
  4.7.17 The `RuntimeInvisibleAnnotations` Attribute
Since:
  24
See Also:
  - `Attributes.runtimeInvisibleAnnotations()`
  - `Element`
  - `ElementType`
  - `RetentionPolicy.CLASS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Annotation>`
  `annotations()`
  Returns the run-time invisible declaration annotations on this structure.
  `static RuntimeInvisibleAnnotationsAttribute`
  `of(Annotation... annotations)`
  Returns a `RuntimeInvisibleAnnotations` attribute.
  `static RuntimeInvisibleAnnotationsAttribute`
  `of(List<Annotation> annotations)`
  Returns a `RuntimeInvisibleAnnotations` attribute.

  ### Methods declared in interface Attribute

  `attributeMapper, attributeName`
  Modifier and Type
  Method
  Description
  `AttributeMapper<RuntimeInvisibleAnnotationsAttribute>`
  `attributeMapper()`
  Returns the `AttributeMapper` associated with this attribute.
  `Utf8Entry`
  `attributeName()`
  Returns the name of the attribute.

- ## Method Details

  - ### annotations

    List<Annotation> annotations()
    Returns the run-time invisible declaration annotations on this structure.
    Returns:
      the run-time invisible declaration annotations on this structure

  - ### of

    static RuntimeInvisibleAnnotationsAttribute of(List<Annotation> annotations)
    Returns a `RuntimeInvisibleAnnotations` attribute.
    Parameters:
      `annotations` - the annotations
    Returns:
      a `RuntimeInvisibleAnnotations` attribute
    Throws:
      `IllegalArgumentException` - if the number of annotations exceeds the limit of `u2`

  - ### of

    static RuntimeInvisibleAnnotationsAttribute of(Annotation... annotations)
    Returns a `RuntimeInvisibleAnnotations` attribute.
    Parameters:
      `annotations` - the annotations
    Returns:
      a `RuntimeInvisibleAnnotations` attribute
    Throws:
      `IllegalArgumentException` - if the number of annotations exceeds the limit of `u2`